import Handler from './Handler';
import { fabric } from 'fabric';
/**
 * 组相关功能的Handler
 */
declare class GroupHandler {
    /** @ignore */
    handler: Handler;
    /** @ignore */
    constructor(handler: Handler);
    /**
     * 创建组
     */
    toGroup(): {
        version: string;
        objects: fabric.Object[];
    };
    /**
     * 解组
     */
    unGroup(): {
        version: string;
        objects: fabric.Object[];
    };
}
export default GroupHandler;
