import Handler from './Handler';
/**
 * 画布渲染的处理器
 */
export default class RulerHandler {
    /** @ignore */
    handler: Handler;
    private isInited;
    private controller;
    /** @ignore */
    isVisibleRuler: boolean;
    /** @ignore */
    constructor(handler: Handler);
    /**
     * 显示标尺和辅助线图层
     * */
    showRuler(): void;
    /**
     * 清空标尺图层
     * */
    clearRuler(): void;
    /**
     * 画布中是否有标尺
     * @returns 有或无
     */
    hasRuler(): boolean;
    /**
     * 清除所有辅助线
     * */
    clearAlignLines(): void;
    /**
     * 画布中是否有对齐线
     * @returns 有或无
     */
    hasAlignLines(): boolean;
    /**
     * 初始化
     */
    private init;
}
